#pragma once

#include "CoreMinimal.h"
#include "QuestSpecialBehaviourData.generated.h"

USTRUCT(BlueprintType)
struct FQuestSpecialBehaviourData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Params;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool Params_IsSet;

public:
	DEADBYDAYLIGHT_API FQuestSpecialBehaviourData();
};

FORCEINLINE uint32 GetTypeHash(const FQuestSpecialBehaviourData) { return 0; }
